package com.qmth.distributed.print.business.bean.dto;

import com.qmth.distributed.print.business.entity.ExamDetail;
import com.qmth.distributed.print.business.entity.ExamDetailCourse;
import com.qmth.distributed.print.business.entity.ExamPrintPlan;
import com.qmth.teachcloud.common.entity.BasicAttachment;
import io.swagger.annotations.ApiModelProperty;

import java.io.File;
import java.util.ArrayList;
import java.util.List;

/**
 * 生成pdf文件对象
 */
public class CreatePdfDto {

    @ApiModelProperty(name = "所有试卷（试卷+备用试卷）")
    private List<PdfDto> paperPdfList = new ArrayList<>();
    @ApiModelProperty(name = "所有题卡（题卡+备用题卡）")
    private List<PdfDto> cardPdfList = new ArrayList<>();
    @ApiModelProperty(name = "考场对象")
    private ExamDetail examDetail;
    @ApiModelProperty(name = "计划对象")
    private ExamPrintPlan examPrintPlan;
    @ApiModelProperty(name = "考场课程对象")
    private List<ExamDetailCourse> examDetailCourseList;
    @ApiModelProperty(name = "需要删除的临时文件")
    private List<File> fileTempList = new ArrayList<>();
    @ApiModelProperty(name = "需要删除的附件数据")
    private List<BasicAttachment> attachmentList = new ArrayList<>();

    public List<PdfDto> getPaperPdfList() {
        return paperPdfList;
    }

    public void setPaperPdfList(List<PdfDto> paperPdfList) {
        this.paperPdfList = paperPdfList;
    }

    public List<PdfDto> getCardPdfList() {
        return cardPdfList;
    }

    public void setCardPdfList(List<PdfDto> cardPdfList) {
        this.cardPdfList = cardPdfList;
    }

    public ExamDetail getExamDetail() {
        return examDetail;
    }

    public void setExamDetail(ExamDetail examDetail) {
        this.examDetail = examDetail;
    }

    public ExamPrintPlan getExamPrintPlan() {
        return examPrintPlan;
    }

    public void setExamPrintPlan(ExamPrintPlan examPrintPlan) {
        this.examPrintPlan = examPrintPlan;
    }

    public List<ExamDetailCourse> getExamDetailCourseList() {
        return examDetailCourseList;
    }

    public void setExamDetailCourseList(List<ExamDetailCourse> examDetailCourseList) {
        this.examDetailCourseList = examDetailCourseList;
    }

    public List<File> getFileTempList() {
        return fileTempList;
    }

    public void setFileTempList(List<File> fileTempList) {
        this.fileTempList = fileTempList;
    }

    public List<BasicAttachment> getAttachmentList() {
        return attachmentList;
    }

    public void setAttachmentList(List<BasicAttachment> attachmentList) {
        this.attachmentList = attachmentList;
    }
}
